For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add

post

Add a device, which can either be owned by the network or shared with the network. The code provided can be either adoption code or a share code. Once a code is added, the device becomes an associated device until confirmation. If the device is a shared device, it will remain an associated device after confirmation.

Authorizations
AuthorizationstringRequired

BringYour JWT

Body
codestringOptional

share code or adopt code

Responses
200Success
application/json
code_typestring · enumOptionalPossible values:
codestringOptional
device_namestringOptional

Name of the device shared by the owner

associated_network_namestringOptional

The name of the source network. Only for share codes.

client_idstringOptional

udid. Only for share codes.

duration_minutesnumberOptional
post/device/add
POST /device/add HTTP/1.1
Host: api.bringyour.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "code": "text"
}
200Success
{
  "code_type": "share",
  "code": "text",
  "device_name": "text",
  "associated_network_name": "text",
  "client_id": "text",
  "duration_minutes": 1,
  "error": {
    "message": "text"
  }
}

Was this helpful?